curl --request GET \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"displayName": "Premium Monthly Plan",
"amountCents": 5000000,
"currencyCode": "COP",
"billingCycleFrequency": "MONTHLY",
"billingCycleInterval": 1,
"trialPeriodDays": 7,
"status": "ACTIVE",
"createTime": "2024-01-15T10:30:00Z",
"updateTime": "2024-01-15T10:30:00Z",
"description": "Access to all premium features"
}
],
"nextPageToken": "<string>"
}List all subscription plans for a store
curl --request GET \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"displayName": "Premium Monthly Plan",
"amountCents": 5000000,
"currencyCode": "COP",
"billingCycleFrequency": "MONTHLY",
"billingCycleInterval": 1,
"trialPeriodDays": 7,
"status": "ACTIVE",
"createTime": "2024-01-15T10:30:00Z",
"updateTime": "2024-01-15T10:30:00Z",
"description": "Access to all premium features"
}
],
"nextPageToken": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"01G65Z755AFWAKHE12NY0CQ9FH"
The maximum number of items to return. Default is 50, max is 1000.
"20"
A page token received from a previous call for pagination.